package cn.quantgroup.customer.service;

import cn.quantgroup.customer.rest.param.repay.EarlySettleOperateQueryReq;
import cn.quantgroup.customer.rest.param.repay.EarlySettleOperateReq;
import cn.quantgroup.customer.rest.param.repay.RepayOrderInfoQuery;
import cn.quantgroup.customer.rest.param.repay.RepayOrderQuery;
import cn.quantgroup.customer.rest.vo.JsonResult;

public interface IRepayService {
    String findRepayOrders(RepayOrderQuery repayOrderQuery);

    JsonResult queryRepayInfo(RepayOrderInfoQuery repayOrderQuery);

    JsonResult queryRepayOptRecords(String businessFlowNo);

    JsonResult settleOperateQuery(EarlySettleOperateQueryReq req);

    JsonResult earlySettleOperate(EarlySettleOperateReq req);
}
